description: >
    An interface to set control characteristics for an individual power supply.
properties:
    - name: DeratingFactor
      type: uint32
      flags:
        - const
      description: >
          The power supply derating factor, which is the percentage to multiply
          the input power by to get the output power.
